# Changelog

This file is used to list changes made to this software.

_Current development release: 1.1.1_

## V1.1.1 [2023-09-16]

### Updates
- Updated packages to latest versions

### Bugfixes
- Fixed a bug where the bot would crash on startup if the database connection establishment took too long

### Other
- Renamed db service in docker compose file from database to db

## V1.1.0 [2022-11-29]

### Features

- If a channel gets deleted and the responsible user has been detected, a message will be sent to that user informing him of the deletion

## V1.0.0 [2022-11-29]

### Features

- /info
- /logchannel
- /blocklist get
- /blocklist add
- /blocklist remove
- /preservesettings
- /showblocklist
- /showsettings
- Data will be deleted by default when the bot leaves the server
- Server admins can change the behaviour of the bot when it leaves the server to keep the data persistent
- Scans for blocked words in channel names and deletes the channel if found
- Gets the user creating or renaming a channel to a blocked word
- When settings are changed or channels are deleted, notifications to a logchannel can be enabled
- CLI to change settings and get information during runtime by attaching to the apps docker container
- API for automated uptime checks to prevent the bot from going offline unnoticed
- Bot notifies admins via /showsettings when it lacks permissions needed for its functionality